GuideLab API

Autocomplete a partially typed message

Uses GPT-4o-mini to suggest a completion for a partially typed conversation message after explicit data-processing consent. Requires at least 10 characters of input. Rate limited to 30 requests per minute per user.

POST
/ai/autocomplete

Uses GPT-4o-mini to suggest a completion for a partially typed conversation message after explicit data-processing consent. Requires at least 10 characters of input. Rate limited to 30 requests per minute per user.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/ai/autocomplete" \  -H "Content-Type: application/json" \  -d '{    "conversationId": "string",    "currentText": "stringstri",    "dataProcessingConsent": true  }'
{  "completion": "string"}
Empty
Empty
Empty
Empty